Skip to content
Seal
Esc
navigateopen⌘Jpreview

Verify document integrity

Verifies the cryptographic integrity of all signatures on a document. Returns whether the document has been tampered with since it was signed.

GET/signatures/verify
Authorization
AuthorizationBearer token · headerrequired

Pass your API key as a Bearer token. API keys are scoped to specific operations — configure scopes in your organization's Settings → Developer → API Keys.

Query parameters
document_idstringrequired
Responses
200

Verification result

is_validbooleanrequired

True if all signatures are cryptographically valid

document_hashstringrequired

SHA-256 hash of the current document

verification_timestampstring<date-time>required
signaturesobject[]required
Show properties
Array of object
idstringrequired
recipient_emailstring<email>required
is_validbooleanrequired
signed_atstring<date-time>required
signature_hashstringrequired
401

Missing or invalid API key

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

404

Resource not found

typestringrequired

Machine-readable error code

statusintegerrequired

HTTP status code

titlestringrequired

Human-readable error message

detailsobject

Field-level validation errors

Try it
Server
Authorization
Parameters
Request
curl -X GET "https://api.seal.nyc/api/v1/signatures/verify?document_id=string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "is_valid": true,
  "document_hash": "string",
  "verification_timestamp": "2019-08-24T14:15:22Z",
  "signatures": [
    {
      "id": "string",
      "recipient_email": "user@example.com",
      "is_valid": true,
      "signed_at": "2019-08-24T14:15:22Z",
      "signature_hash": "string"
    }
  ]
}